polybori::CCuddLikeMgrStorage< MgrType > Class Template Reference

`#include <CCacheManagement.h>`

## Public Types

typedef MgrType | manager_type
| Set manager type. More...
typedef DdManager * | internal_manager_type
| Set type of Cudd's internal manager type. More...
typedef DdNode * | node_type
| Set type of Cudd's nodes. More...
typedef CCuddNavigator | navigator
| Type of navigators. More...
typedef BoolePolyRing | ring_type
| Type of Boolean rings. More...
typedef ring_type::dd_type | dd_type
| Get high-level decision diagram type. More...

## Public Member Functions

| CCuddLikeMgrStorage (const manager_type &mgr)
| Constructor. More...
manager_type | manager () const
| Accessing manager. More...
dd_type | generate (navigator navi) const
| Re-generate valid decision diagram from navigator. More...
dd_type | one () const
| Get constant one. More...
dd_type | zero () const
| Get constant zero. More...
ring_type | ring () const

## Protected Member Functions

internal_manager_type | internalManager () const
| Accessing Cudd-internal decision diagram manager. More...

## Detailed Description

### template<class MgrType>
class polybori::CCuddLikeMgrStorage< MgrType >

This template defines how to used the Cudd-like decision diagram managers like Cudd and CCuddInterface.

## Member Typedef Documentation

template<class MgrType >

typedef ring_type::dd_type polybori::CCuddLikeMgrStorage< MgrType >::dd_type

Get high-level decision diagram type.

template<class MgrType >

typedef DdManager* polybori::CCuddLikeMgrStorage< MgrType >::internal_manager_type

Set type of Cudd's internal manager type.

template<class MgrType >

typedef MgrType polybori::CCuddLikeMgrStorage< MgrType >::manager_type

Set manager type.

template<class MgrType >

typedef CCuddNavigator polybori::CCuddLikeMgrStorage< MgrType >::navigator

Type of navigators.

template<class MgrType >

typedef DdNode* polybori::CCuddLikeMgrStorage< MgrType >::node_type

Set type of Cudd's nodes.

template<class MgrType >

typedef BoolePolyRing polybori::CCuddLikeMgrStorage< MgrType >::ring_type

Type of Boolean rings.

## Constructor & Destructor Documentation

template<class MgrType >

polybori::CCuddLikeMgrStorage< MgrType >::CCuddLikeMgrStorage | ( | const manager_type & | mgr | ) |

inline

Constructor.

## Member Function Documentation

template<class MgrType >

dd_type polybori::CCuddLikeMgrStorage< MgrType >::generate | ( | navigator | navi | ) | const

inline

Re-generate valid decision diagram from navigator.

template<class MgrType >

internal_manager_type polybori::CCuddLikeMgrStorage< MgrType >::internalManager | ( |  | ) | const

inline protected

Accessing Cudd-internal decision diagram manager.

template<class MgrType >

manager_type polybori::CCuddLikeMgrStorage< MgrType >::manager | ( |  | ) | const

inline

Accessing manager.

template<class MgrType >

dd_type polybori::CCuddLikeMgrStorage< MgrType >::one | ( |  | ) | const

inline

Get constant one.

template<class MgrType >

ring_type polybori::CCuddLikeMgrStorage< MgrType >::ring | ( |  | ) | const

inline

template<class MgrType >

dd_type polybori::CCuddLikeMgrStorage< MgrType >::zero | ( |  | ) | const

inline

Get constant zero.

The documentation for this class was generated from the following file:

- CCacheManagement.h